# Update Agent

**Step1: Prepare Your Request**

* **Endpoint:** `/agent`
* **Method:** `PUT`
* **URL:** `https://api.talkstackai.com/agent`
* **Headers:** Include `Content-Type: application/json`.
* **Authorization:** Bearer token or x-api-key in headers

**Step2: Create the Request Body**

* `projectId`: The id of the project in which the agent exists.
* `agentId`: The id of the agent whose details you want to update.
* `name`: If you want to update the name of the agent then add this in the request body.
* `systemInstruction`: If you want to update the systemInstruction of the agent then add this in the request body.

```
{
    "message": "agent data updated successfully.",
    "status": "success",
    "data": {
        "projectId": "XXXXXXXXXXXXXXXXXXXXXXXXX",
        "agentId": "ZZZZZZZZZZZZZZZZZZZZZZZZZZZ",
        "name": "Jack",
        "systemInstruction": "instructions for the agent",
        "voice_id": "xxxxxxxxxxxxxxxxxxxxx"
    }
}
```

**Step 3: Send the Request**

Use your preferred HTTP client to send the PUT request with the JSON body.

**Step 4: Handle the request**

The response will provide detailed information about the agent updated.

**Success Response:**

* **Status Code:** `200 OK`
* **Body:** The response includes details like name, projectId, systemInstruction, id, and phoneNumber.

```
{
    "systemInstruction": "You are Jack. You can take any questions related to astronomy.",
    "name": "Jack",
    "projectId": "XXXXXXXXXXXXXXXXXXXXXX",
    "agentId": "XXXXXXXXXXXXXXXXXXXXXX",
    "voice_id": "EXAVITQu4vr4xnSDxMaL"
}
```

**Troubleshooting**

* `400 Bad Request`: If the `projectId` or `agentId` is missing in the request. Or `name` and `systemInstruction` are missing.
* `404 Not Found`: If the agent is not found.
* `500 Internal Server Error`: For errors in updating the agent details.

Last updated 15 hours ago


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/agent/update-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
